Index: say.c
===================================================================
RCS file: /usr/cvsroot/asterisk/say.c,v
retrieving revision 1.13
diff -u -u -r1.13 say.c
--- say.c	22 Oct 2003 03:06:47 -0000	1.13
+++ say.c	7 Dec 2003 21:41:23 -0000
@@ -378,8 +378,23 @@
 				}
 				if (!res) {
 					if (tm.tm_hour != 0) {
-						snprintf(nextmsg,sizeof(nextmsg), AST_SOUNDS "/digits/%d", tm.tm_hour);
-						res = wait_file(chan,ints,nextmsg,lang);
+						if (tm.tm_hour < 21) {
+							snprintf(nextmsg,sizeof(nextmsg),DIGITS_DIR "%d", tm.tm_hour);
+							res = wait_file(chan,ints,nextmsg,lang);
+						} else {
+							int ten, one;
+							ten = (tm.tm_hour / 10) * 10;
+							one = (tm.tm_hour % 10);
+							snprintf(nextmsg,sizeof(nextmsg),DIGITS_DIR "%d", ten);
+							res = wait_file(chan,ints,nextmsg,lang);
+							if (!res) {
+								/* Fifty, not fifty-zero */
+								if (one != 0) {
+									snprintf(nextmsg,sizeof(nextmsg),DIGITS_DIR "%d", one);
+									res = wait_file(chan,ints,nextmsg,lang);
+								}
+							}
+						}
 					}
 				}
 				break;
